Discover Centmin Mod today
Register Now

PHP-FPM Update php and cache

Discussion in 'Install & Upgrades or Pre-Install Questions' started by pamamolf, Oct 17, 2014.

  1. pamamolf

    pamamolf Premium Member Premium Member

    3,858
    379
    83
    May 31, 2014
    Ratings:
    +731
    Local Time:
    2:47 PM
    Nginx-1.17.x
    MariaDB 10.3.x
    Hi

    Does Centminmod detects if i use APC or Zend opcache and when i upgrade php will auto install it again and enable it?

    Thanks
     
  2. rdan

    rdan Well-Known Member

    4,990
    1,190
    113
    May 25, 2014
    Ratings:
    +1,812
    Local Time:
    8:47 PM
    Mainline
    10.2
    Short answer: Yes
     
  3. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,312
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,994
    Local Time:
    10:47 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Yup if it's a major PHP version upgrade i.e. PHP 5.4 to 5.5 or 5.6. For minor versions it skips auto redetect as it's not needed i.e. PHP 5.5.17 to 5.5.18.
     
  4. pamamolf

    pamamolf Premium Member Premium Member

    3,858
    379
    83
    May 31, 2014
    Ratings:
    +731
    Local Time:
    2:47 PM
    Nginx-1.17.x
    MariaDB 10.3.x
    Yes i am talking for 5.5.17 to 5.5.18 scenario :)

    So great as on one server i run Zend opcache and on the other APC :)

    So i can update and i will be able to use the same cache without reinstalling it or re enable it great :)

    Also my cache settings like size will be there or i must edit them again?

    Thansk
     
  5. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,312
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,994
    Local Time:
    10:47 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x